Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 76738 - [ls] Lots of errormessages with vanilla kernel
Summary: [ls] Lots of errormessages with vanilla kernel
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: fileutils
Version: 1.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-25 16:54 UTC by Enrico Scholz
Modified: 2007-04-18 16:47 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-11-07 16:13:29 UTC


Attachments (Terms of Use)

Description Enrico Scholz 2002-10-25 16:54:43 UTC
Description of Problem:

When using the original linux-kernel without the getxattr-syscall, 'ls' creates
errormessages about not-implemented functions.


Version-Release number of selected component (if applicable):

fileutils-4.1.9-12
linux 2.4.19


How Reproducible:
100%

Steps to Reproduce:
1. mkdir /var/tmp/ftest && cd /var/tmp/ftest
2. touch foo
3. ls -l


Actual Results:

$ ls -l
ls: .: Function not implemented
total 0
-rw-rw-r--    1 ensc     ensc            0 Oct 25 18:51 foo


Expected Results:

no errormessage


Additional Information:
	
corresponding strace-log is

| ...
| getdents64(0x3, 0x805c868, 0x1000, 0x805c838) = 72
| lstat64("foo", {st_mode=S_IFREG|0664, st_size=0, ...}) = 0
| getxattr("foo", "system.posix_acl_access", (nil), 0) = -1 ENOSYS (Function not
| implemented)
| getdents64(0x3, 0x805c868, 0x1000, 0x805c838) = 0
| close(3)                                = 0
| write(2, "ls: ", 4)                     = 4
| write(2, ".", 1)                        = 1
| write(2, ": Function not implemented", 26) = 26
| ...

Comment 1 Tim Waugh 2002-11-07 17:22:31 UTC
Fixed package is fileutils-4.1.9-13, which will show up in rawhide shortly.


Note You need to log in before you can comment on or make changes to this bug.